Bug 530173 (CVE-2009-3881) - CVE-2009-3881 OpenJDK resurrected classloaders can still have children (6636650)
Summary: CVE-2009-3881 OpenJDK resurrected classloaders can still have children (6636650)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-3881
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 530367 530368 532004 532005 534067 534068
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-21 19:07 UTC by Marc Schoenefeld
Modified: 2019-09-29 12:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 15:44:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1560 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2009-11-09 15:04:13 UTC
Red Hat Product Errata RHSA-2009:1571 normal SHIPPED_LIVE Critical: java-1.5.0-sun security update 2009-11-10 19:30:16 UTC
Red Hat Product Errata RHSA-2009:1584 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2009-11-16 15:44:53 UTC
Red Hat Product Errata RHSA-2009:1662 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server Sun Java Runtime security update 2009-12-11 13:42:50 UTC
Sun Bug Database 6636650 None None None Never

Comment 3 Mark J. Cox 2009-11-03 23:07:31 UTC
Available information: 
"(cl) Resurrected ClassLoaders can still have children" 

Interpretation after code inspection:
  An information leak vulnerability in the Java Runtime Environment
  with creating class loaders  may allow an untrusted applet or
  Java Web Start application to escalate privileges. For example,
  an untrusted applet may grant itself permissions to read and write
  local files or execute local applications that are accessible to
  the user running the untrusted applet.

Comment 4 errata-xmlrpc 2009-11-09 15:04:46 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1560 https://rhn.redhat.com/errata/RHSA-2009-1560.html

Comment 6 errata-xmlrpc 2009-11-10 19:30:29 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1571 https://rhn.redhat.com/errata/RHSA-2009-1571.html

Comment 7 Fedora Update System 2009-11-13 08:45:54 UTC
java-1.6.0-openjdk-1.6.0.0-33.b16.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-33.b16.fc12

Comment 8 Fedora Update System 2009-11-13 08:49:49 UTC
java-1.6.0-openjdk-1.6.0.0-23.b16.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-23.b16.fc10

Comment 9 Fedora Update System 2009-11-13 16:34:59 UTC
java-1.6.0-openjdk-1.6.0.0-30.b16.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-30.b16.fc11

Comment 10 Fedora Update System 2009-11-14 03:29:55 UTC
java-1.6.0-openjdk-1.6.0.0-30.b16.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-11-14 03:31:48 UTC
java-1.6.0-openjdk-1.6.0.0-33.b16.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-11-14 03:33:01 UTC
java-1.6.0-openjdk-1.6.0.0-23.b16.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2009-11-16 15:45:22 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1584 https://rhn.redhat.com/errata/RHSA-2009-1584.html

Comment 14 errata-xmlrpc 2009-12-11 13:44:01 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.1

Via RHSA-2009:1662 https://rhn.redhat.com/errata/RHSA-2009-1662.html


Note You need to log in before you can comment on or make changes to this bug.